/**
 * 供应商表相关
 */
import http from '../http'

export default {
  page: data => http.post('/statistics/v1/folder/list_grid', data),
  addFolder: data => http.post('/v1/file_folder/add_folder', data),
  editFolder: data => http.put('/v1/file_folder/' + data.id, data),
  deleteFolderByIds: ids => http.delete('/v1/file_folder/?ids=' + ids),
  getFileStorage: data => http.get('/v1/file_storage/vo/', data),
  pageSchoolFileVO: data => http.post('/v1/file/page_vo', data),
  downloadFile: id => http.get(`/v1/file/down_load/${id}`),
  downloadfolder: id => http.get(`/v1/file/download_batch?folderId=${id}`),
  // 批量下载
  downloads: id => http.get(`/v1/file/download_by_ids?ids=${id}`)
}
